{% extends 'base.html' %}
{% block content %}

{% load markdownify %}

  <main class="recipe-detail">
    <div>
      <a href="{% url 'meal_plan_edit' mealplan.id %}">Edit</a>
      <a href="{% url 'meal_plan_delete' mealplan.id %}">Delete</a>
    </div>

    Recipes for {{ mealplan.name }} on {{ mealplan.date }}
    {% comment %} Recipes for {{ mealplan.recipes }} on {{ mealplan.date }} {% endcomment %}

    {% comment %} <p> {% for recipe in recipes.mealplan.all %}{{ mealplan.recipes }} {% endfor %}</p> {% endcomment %}

    {% for recipe in mealplan.recipes.all %}
      <p>
        <a href="{% url 'recipe_detail' recipe.pk %}">{{ recipe.name }}</a>
      </p>
    {% endfor %}

    {% comment %} {% if recipe.image %}
      <img src="{{ recipe.image }}" class="pull-right">
    {% endif %} {% endcomment %}
    {% comment %} <h1>{{ mealplan.name }}</h1>
    <h2>by: {{ recipe.author | default_if_none:"Unknown" }}</h2>

    <p>
      Created on {{ recipe.created }} |
      Updated on {{ recipe.updated }}
    </p>
    <form method="post" action="{% url 'recipe_rating' recipe.id %}">
      {% csrf_token %}
      <div class="rating-form-grid">
        {{ rating_form.as_p }}
        <button class="button">Rate</button>
      </div>
    </form>
    <p>Tags: {% for tag in recipe.tags.all %}{{ tag.word }} {% endfor %}</p>
    {{ recipe.description | markdownify }}
    <h2>Ingredients</h2> {% endcomment %}
    {% comment %} <table>
      <thead>
        <tr>
          <th colspan="2">Amount</th>
          <th>Food item</th>
        </tr>
      </thead>
      <tbody>
        {% for ingredient in recipe.ingredients.all %}
          <tr>
            <td>{{ ingredient.amount }}</td>
            <td>{{ ingredient.measure.name }}</td>
            <td>{{ ingredient.food.name }}</td>
          </tr>
        {% endfor %}
      </tbody>
    </table> {% endcomment %}
    {% comment %} <h2>Steps</h2>
    <ol>
      {% for step in recipe.steps.all %}
        <li>{{ step.directions }}</li>
      {% endfor %}
    </ol> {% endcomment %}
  </main>
  {% endblock content %}
